Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## estella.lib
Class Log

    java.lang.Object
      estella.lib.Log

    public class Log

extends java.lang.Object

Funcoes para gerenciar o log, que eh gravado sempre em um arquivo, com um nome definido ou nao pelo usuario. Caso o usuario nao defina o nome, sera usado o nome que estiver na classe de Constantes.

Since:
  20/11/2005

Constructor Summary
`Log()` Define a criacao de um novo log
`Log(java.lang.String cab)` Define a criacao de um novo log
`Log(java.lang.String log_nome, java.lang.String cab)` Define a criacao de um novo log com o respectivo nome passado pelo usuario.

Method Summary
`boolean` | `atencao(java.lang.String msg_atencao)` Adiciona uma nova mensagem de atencao (warning) no log
`boolean` | `cabecalho(java.lang.String cab)` Seta um cabecalho no log, todo log adicionado tera esse cabecalho
`boolean` | `erro(java.lang.String msg_erro)` Adiciona uma nova mensagem de erro no log
`boolean` | `falha(java.lang.String msg_falha)` Adiciona uma nova mensagem de erro no log
`boolean` | `fecha()` Fechar - fecha o sistema de log
`boolean` | `info(java.lang.String msg_info)` Adiciona uma nova mensagem de informacao no log

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Log

    public Log(java.lang.String cab)

  Define a criacao de um novo log

  Parameters:
    `cab` - String com o cabecalho do log
  See Also:
    `Constantes`

### Log

    public Log()

  Define a criacao de um novo log

  See Also:
    `Constantes`

### Log

    public Log(java.lang.String log_nome,
               java.lang.String cab)

  Define a criacao de um novo log com o respectivo nome passado pelo usuario.

  Parameters:
    `log_name` - nome do log (arquivo)

Method Detail

### cabecalho

    public boolean cabecalho(java.lang.String cab)

  Seta um cabecalho no log, todo log adicionado tera esse cabecalho

  Parameters:
    `cab` - string com o cabecalho
  Returns:
    true ou false se correamente setado

### info

    public boolean info(java.lang.String msg_info)

  Adiciona uma nova mensagem de informacao no log

  Parameters:
    `msg_info` - String com a mensagem
  Returns:
    true ou false

### erro

    public boolean erro(java.lang.String msg_erro)

  Adiciona uma nova mensagem de erro no log

  Parameters:
    `msg_info` - String com a mensagem
  Returns:
    true ou false

### falha

    public boolean falha(java.lang.String msg_falha)

  Adiciona uma nova mensagem de erro no log

  Parameters:
    `msg_info` - String com a mensagem
  Returns:
    true ou false

### atencao

    public boolean atencao(java.lang.String msg_atencao)

  Adiciona uma nova mensagem de atencao (warning) no log

  Parameters:
    `msg_info` - String com a mensagem
  Returns:
    true ou false

### fecha

    public boolean fecha()

  Fechar - fecha o sistema de log

  Returns:
    true ou false

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD